Skip to main content
POST
/
search
Search
curl --request POST \
  --url https://api.warmyourx.com/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'query=<string>' \
  --data target=100 \
  --data run_async=false
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/x-www-form-urlencoded
query
string
required

Search query (X rawQuery).

target
integer
default:100

Multiple of 20; each 20 is one batch.

Required range: 20 <= x <= 2000
run_async
boolean
default:false

If true, returns job_id immediately.

Response

Successful Response